<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.finance.mapper.OrderRefundMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="orderRefundResultMap" type="org.springblade.modules.finance.entity.OrderRefund">
        <id column="id" property="id"/>
        <result column="order_id" property="orderId"/>
        <result column="user_id" property="userId"/>
        <result column="refund_state" property="refundState"/>
        <result column="reason" property="reason"/>
        <result column="rimgs" property="rimgs"/>
        <result column="remark" property="remark"/>
        <result column="refuse_reason" property="refuseReason"/>
        <result column="refund_type" property="refundType"/>
        <result column="wl_name" property="wlName"/>
        <result column="wl_num" property="wlNum"/>
        <result column="shop_address" property="shopAddress"/>
        <result column="create_time" property="createTime"/>
        <result column="agree_time" property="agreeTime"/>
        <result column="refund_time" property="refundTime"/>
        <result column="is_deleted" property="isDeleted"/>
    </resultMap>


    <select id="selectOrderRefundPage" resultMap="orderRefundResultMap">
        select * from t_order_refund where is_deleted = 0
    </select>

</mapper>
